perpClearinghouseState
Perp sub-account token balances
Returns the tokens held in the perp account. For positions and the margin summary use clearinghouseState with accountType=perp.
POST/infotype
perpClearinghouseStateShow token balances held in the perp sub-account.
Request body
typestringrequired
userstringrequired
Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
-H "Content-Type: application/json" \
-H "x-api-version: 2026-08-16" \
-d '{
"type": "perpClearinghouseState",
"user": "0x0000000000000000000000000000000000000000"
}'Try it
Response · UserTokenBalanceResponse 200
codeinteger
`0` on success.
dataUserTokenBalanceResponse
balancesUserTokenBalance[]
withdrawablestringnullable
successboolean
`false` on error, with `code` set and the text in `message` instead of `data`.
Response example
{
"success": true,
"code": 0,
"data": {
"balances": [
{
"coin": "4",
"displayName": "",
"entryNtl": "",
"hold": "",
"lastPrice": "0",
"midPrice": "0",
"token": 0,
"total": ""
}
],
"withdrawable": ""
}
}